Name:           wmglobe
Version:        1.3
Release:        %mkrel 5
Summary:        A dock application displaying a spinning earth on a icon
License:        GPLv2
Group:          Sciences/Geosciences

URL:            http://web.cs.mun.ca/~gstarkes/wmaker/dockapps/other.html#wmglobe
Source0:        ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/%{name}-%{version}.tar.gz


BuildRequires:  glibc-devel
BuildRequires:  libx11-devel
BuildRequires:  libxpm-devel
BuildRequires:  libxmu-devel
BuildRequires:  libxext-devel
BuildRequires:  libice-devel
BuildRequires:  libsm-devel
BuildRequires:  libxcb-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
BuildRequires:  libwraster-devel
BuildRequires:  libtiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libjbig-devel
BuildRequires:  libpng-devel
BuildRequires:  libzlib-devel
BuildRequires:  liblzma-devel
BuildRequires:  libungif-devel


%description
Wmglobe is a WindowMaker dock application that displays the earth on
an icon. It uses a map which is rendered on a sphere by ray tracing.
Yes, for a 64x64 pixel result, that's why you want to see wmglobe!



%prep
%setup -q
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
iconv -f iso8859-1 -t utf-8 %{name}.1 > %{name}.1.conv && mv -f %{name}.1.conv %{name}.1


%build
%make CFLAGS="%optflags" \
      LIBS="%ldflags -lX11 -lXext -lm -ltiff -lXpm -lpng -lz -ljpeg -lungif -lwraster"


%install
rm -rf %{buildroot}
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 520253
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-4.mga3
+ Revision: 385744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.3-3.mga3
+ Revision: 314648
- Rebuild for mga3

* Tue Jan 24 2012 eatdirt <eatdirt> 1.3-2.mga2
+ Revision: 200497
+ rebuild (emptylog)

* Tue Jan 24 2012 eatdirt <eatdirt> 1.3-1.mga2
+ Revision: 200484
- imported package wmglobe


* Mon Jan 23 2012 Chris Ringeval <dirteat@gmail.com> 1.3-1.mga2
- Import wmglobe
